profile.role
Prev | Profiling | Next

## profile.role

profile.role — Target profile for `role` attribute

## Synopsis

    <xsl:param name="profile.role"></xsl:param>

## Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

### Warning

Note that `role` is often used for other purposes than profiling. For example it is commonly used to get emphasize in bold font:

    <emphasis role="bold">very important</emphasis>

If you are using `role` for these purposes do not forget to add values like `bold` to value of this parameter. If you forgot you will get document with small pieces missing which are very hard to track.

For this reason it is not recommended to use `role` attribute for profiling. You should rather use profiling specific attributes like `userlevel`, `os`, `arch`, `condition`, etc.

Prev | Up | Next
profile.revisionflag | Home | profile.security